URNDIS(4)

NAME
urndis - USB Remote NDIS Ethernet device

SYNOPSIS
urndis* at uhub?

DESCRIPTION
The urndis driver provides Ethernet access over Remote NDIS (RNDIS), allowing mobile devices such as phones and tablets to provide network access. It is often referred to as USB tethering, and in most cases must be explicitly enabled on the device.

urndis should work with any USB RNDIS devices, such as those commonly found on Android devices. It does not support different media types or options. For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), intro(4), netintro(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The urndis device driver first appeared in OpenBSD 4.7.

AUTHORS
-nosplit The urndis driver was written by Jonathan Armani <armani@openbsd.org>, Michael Knudsen <mk@openbsd.org>, and Fabien Romano <fabien@openbsd.org>.